#include <bits/stdc++.h>
using namespace std;

int main()
{
   long long d;
   int n; cin>>n;  d=1;
   if (n%2==0)
   {
       for (int i=2; i<=n; i=i+2)
        d=d*i;
   }
    else
    {
        for (int x=1;x<=n;x=x+2)
            d=d*x;
    }
    cout <<d;
}
